#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn printf(_: *const libc::c_char, _: ...) -> libc::c_int;
}
#[no_mangle]
pub static mut global_string: *const libc::c_char = b"Hello world\0" as *const u8
    as *const libc::c_char;
#[no_mangle]
pub static mut i: libc::c_int = 0 as libc::c_int;
#[no_mangle]
pub unsafe extern "C" fn foo() {
    i += 1 as libc::c_int;
}
#[no_mangle]
pub unsafe extern "C" fn bar() {
    printf(b"%s %i\n\0" as *const u8 as *const libc::c_char, global_string, i);
}
unsafe fn main_0() -> libc::c_int {
    foo();
    bar();
    return 0;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
